Bug 808665 - RFE : Could use shift and Ctrl key help to check checkbox
RFE : Could use shift and Ctrl key help to check checkbox
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.6
Unspecified Unspecified
high Severity medium
: ---
: 3.7.0
Assigned To: Yang Ren
tools-bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-31 01:52 EDT by Xiaoli Tian
Modified: 2016-05-26 09:22 EDT (History)
9 users (show)

See Also:
Fixed In Version: 3.7.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 22:40:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaoli Tian 2012-03-31 01:52:07 EDT
Description of problem:
In a plan or in a run, there are so many check box, 
1. If I check or uncheck one checkbox, then enter shift and check or uncheck another checkbox, all the items between them should be checked or unchecked.

2. I could check different checkboxes with ctrl


They could work like zimbra email check box.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chaobin Tang 2012-04-10 03:35:39 EDT
Yes, now they do!

Global support on multiple select on checkbox using <Shift>
Comment 2 Xin Gao 2012-04-24 07:51:19 EDT
Verify version 3.7.0-1 on stage -> FAIL

Steps:
1. Open one test run(including more than one case-run).
2. Check one case-run, then enter shift and check another case-run.

Actual result:
it does not work as Xiaoli's description.
Comment 3 Jin Zhao 2012-04-24 08:14:54 EDT
(In reply to comment #2)
> Verify version 3.7.0-1 on stage -> FAIL
> 
> Steps:
> 1. Open one test run(including more than one case-run).
> 2. Check one case-run, then enter shift and check another case-run.
> 
> Actual result:
> it does not work as Xiaoli's description.

Hi xgao ,

Shift key is available on Fedora 13 + firefox 3.6 . Could you confirm whether cause by OS and browser .
Comment 4 Xin Gao 2012-04-24 22:40:32 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > Verify version 3.7.0-1 on stage -> FAIL
> > 
> > Steps:
> > 1. Open one test run(including more than one case-run).
> > 2. Check one case-run, then enter shift and check another case-run.
> > 
> > Actual result:
> > it does not work as Xiaoli's description.
> 
> Hi xgao ,
> 
> Shift key is available on Fedora 13 + firefox 3.6 . Could you confirm whether
> cause by OS and browser .
Sorry, just now i checked again, and found that it worked well. i think maybe it's my mistake. Yesterday the page i checked maybe is search result page.
So close it bug now.
Comment 5 Jin Zhao 2012-04-24 22:44:39 EDT
Verify version 3.7.0-1 on stage -> PASS

Note You need to log in before you can comment on or make changes to this bug.